package PodWiki::Config;

use lib qw(. lib);

$PodWiki::Config::VERSION = "1.0";

use strict;
use Carp;
use Exporter;

use vars qw(@ISA @EXPORT @EXPORT_OK @EXPORT_TAGS $AUTOLOAD);

@ISA=qw(Exporter);
@EXPORT=qw();
@EXPORT_OK=qw();
@EXPORT_TAGS=();


sub new {
  my($this, %param) = @_;
  my $class = ref($this) || $this;
  my $self = \%param;
  bless($self, $class);
  return $self;
}

sub fetch {
  my($this) = @_;
  local $_;

  open F, "<$this->{File}" or croak "Could not open Config file: $this->{File}: $!\n";
  while (<F>) {
    chomp;
    next if /^\s*#/; # skip comments
    next if /^\s*$/; # skip empty lines
    s/^\s*//;        # remove redundant whitespaces
    s/\s*$//;        # ditto
    my ($opt, $value) = split /\s*=\s*/, $_, 2;
    $this->{$opt} = $value || "";  # pre-initialize vars, if empty. (to make "use strict" happy!)
  }
  close F;
}


1;
